---
title: ServiceWorkerContainer.oncontrollerchange
slug: Web/API/ServiceWorkerContainer/oncontrollerchange
tags:
  - API
  - Experimental
  - Interface
  - Property
  - Reference
  - Service Workers
  - ServiceWorker
  - ServiceWorkerContainer
  - onchange
---
<p>{{APIRef("Service Workers API")}}{{ SeeCompatTable() }}</p>

<p>The <code><strong>oncontrollerchange</strong></code> property of the {{domxref("ServiceWorkerContainer")}} interface is an event handler fired whenever a {{Event("controllerchange")}} event occurs — when the document's associated {{domxref("ServiceWorkerRegistration")}} acquires a new {{domxref("ServiceWorkerRegistration.active","active")}} worker.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>serviceWorkerContainer</em>.oncontrollerchange = function(<em>controllerchangeevent</em>) { ... }</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">// TBD</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Service Workers', '#dom-serviceworkercontainer-oncontrollerchange', 'ServiceWorkerContainer: oncontrollerchange')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ServiceWorkerContainer.oncontrollerchange")}}</p>
</div>
